Status

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Reservation Status: FLIGHTS

When the /book operation completes successfully (Book status: SUCCESS), the /reservation endpoint reflects the lifecycle of the reservation through the following states:

  • IN_PROCESS: The reservation has been created but has not yet been issued by the airline.
  • ISSUED: The reservation has been created and issued by the airline.
  • CANCELLED: The reservation has been cancelled.
  • DELETED: The reservation has been removed from the system.

Note: The statuses returned by the /reservation endpoint represent the reservation lifecycle only after a successful /book operation.


ℹ️

For a detailed flow diagram of this service, see: Guides-AfterSales

Query Params
integer

This field represents the product identifier within the reservation. In v2, it matches the booking_code field. It must be used in combination with the corresponding product_type value.

string
enum

Indicates the type of product associated with the reservation. Only to be used with the corresponding product_id to identify the product.

Allowed:
integer

Refers to the reservation ID

string

Refers to the ID of a flow within a reservation, used to check the status of a specific management action

string

Refers to the partner ID; when provided, it returns all products associated with it

integer
Defaults to 50

Limits the number of search results, especially for partner_id/api_key queries that can return thousands of products.

integer

Pagination for responses that exceed the limit. Add the parameter page= starting at 0 up to the last available page at the end of the request

boolean

Refers to apikey, when sent it searches for all products associated with apikey

integer

Obtained via external_reservation_id

date

Filters results starting from this purchase date. Used to narrow the search.

date

Filters results up to this purchase date. Used to narrow the search.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json